# TODO:
#	- fix linking, it should link with just built, not with system, libs
#
# Conditional build:
%bcond_without	qt	# Qt-based GUI tools
#
%include	/usr/lib/rpm/macros.perl
Summary:	DNSSEC tools
Summary(pl.UTF-8):	Narzędzia DNSSEC
Name:		dnssec-tools
Version:	2.0
Release:	4
License:	BSD
Group:		Applications/Networking
Source0:	http://www.dnssec-tools.org/download/%{name}-%{version}.tar.gz
# Source0-md5:	b738664499c150cf81a1c4307ff07e0f
Patch0:		%{name}-link.patch
Patch1:		%{name}-qt.patch
URL:		http://www.dnssec-tools.org/
BuildRequires:	openssl-devel
BuildRequires:	perl-ExtUtils-MakeMaker
BuildRequires:	perl-Net-DNS
BuildRequires:	perl-Net-DNS-SEC
BuildRequires:	perl-TimeDate
BuildRequires:	perl-base
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with qt}
BuildRequires:	QtCore-devel >= 4
BuildRequires:	QtDeclarative-devel >= 4
BuildRequires:	QtGui-devel >= 4
BuildRequires:	QtNetwork-devel >= 4
BuildRequires:	QtSvg-devel >= 4
BuildRequires:	QtXml-devel >= 4
BuildRequires:	qt4-qmake >= 4
%endif
Requires:	%{name}-libs = %{version}-%{release}
Requires:	perl-%{name} = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The goal of the DNSSEC-Tools project is to create a set of tools,
patches, applications, wrappers, extensions, and plugins that will
help ease the deployment of DNSSEC-related technologies.

%description -l pl.UTF-8
Celem projektu DNSSEC-Tools jest stworzenie zbioru narzędzi, łatek,
aplikacji, wrapperów, rozszerzeń i wtyczek pomagających przy wdrażaniu
technologii związanych z DNSSEC.

%package gui
Summary:	DNSSEC tools with GUI
Summary(pl.UTF-8):	Narzędzia DNSSEC z GUI
Group:		X11/Applications
Requires:	%{name}-libs = %{version}-%{release}

%description gui
DNSSEC tools with Qt-based GUI: dnssec-check, dnssec-nodes,
dnssec-system-tray and lookup.

%description gui -l pl.UTF-8
Narzędzia DNSSEC z opartym na Qt graficznym interfejsem użytkownika:
dnssec-check, dnssec-nodes, dnssec-system-tray oraz lookup.

%package libs
Summary:	DNSSEC libraries
Summary(pl.UTF-8):	Biblioteki DNSSEC
Group:		Libraries

%description libs
DNSSEC libraries.

%description libs -l pl.UTF-8
Biblioteki DNSSEC.

%package devel
Summary:	Header files for DNSSEC libraries
Summary(pl.UTF-8):	Pliki nagłówkowe bibliotek DNSSEC
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	openssl-devel

%description devel
Header files for DNSSEC libraries.

%description devel -l pl.UTF-8
Pliki nagłówkowe bibliotek DNSSEC.

%package static
Summary:	Static DNSSEC libraries
Summary(pl.UTF-8):	Statyczne biblioteki DNSSEC
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static DNSSEC libraries.

%description static -l pl.UTF-8
Statyczne biblioteki DNSSEC.

%package -n perl-%{name}
Summary:	Perl modules supporting DNSSEC
Summary(pl.UTF-8):	Moduły Perla wspierające DNSSEC
Group:		Development/Languages/Perl
Requires:	%{name}-libs = %{version}-%{release}
Requires:	perl-Net-DNS
Requires:	perl-Net-DNS-SEC

%description -n perl-%{name}
Perl modules supporting DNSSEC.

%description -n perl-%{name} -l pl.UTF-8
Moduły Perla wspierające DNSSEC.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%configure \
	--disable-bind-checks \
	--with-dlv \
	--with-ipv6 \
	--with-nsec3 \
	--with-perl-build-args='INSTALLDIRS=vendor'
%{__make}

%if %{with qt}
cd validator/apps
for d in dnssec-check dnssec-nodes dnssec-system-tray lookup ; do
	cd $d
	qmake-qt4 \
		QMAKE_CXX="%{__cxx}" \
		QMAKE_CXXFLAGS_RELEASE="%{rpmcxxflags}" \
		QMAKE_LFLAGS_RELEASE="%{rpmldflags}"
	%{__make}
	cd ..
done
%endif

%install
rm -rf $RPM_BUILD_ROOT
%{__make} -j1 install \
	DESTDIR=$RPM_BUILD_ROOT

%if %{with qt}
for d in dnssec-check dnssec-nodes dnssec-system-tray lookup ; do
	%{__make} install -C validator/apps/$d \
		INSTALL_ROOT=$RPM_BUILD_ROOT
done
%endif

find $RPM_BUILD_ROOT%{perl_vendorarch}/auto -name .packlist | xargs -r %{__rm}
# bugfix
%{__mv} $RPM_BUILD_ROOT%{_mandir}/man1/{dt-,}libval_check_conf.1

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/blinkenlights
%attr(755,root,root) %{_bindir}/bubbles
%attr(755,root,root) %{_bindir}/buildrealms
%attr(755,root,root) %{_bindir}/check-zone-expiration
%attr(755,root,root) %{_bindir}/cleanarch
%attr(755,root,root) %{_bindir}/cleankrf
%attr(755,root,root) %{_bindir}/convertar
%attr(755,root,root) %{_bindir}/dnspktflow
%attr(755,root,root) %{_bindir}/donuts
%attr(755,root,root) %{_bindir}/donutsd
%attr(755,root,root) %{_bindir}/drawvalmap
%attr(755,root,root) %{_bindir}/dt-danechk
%attr(755,root,root) %{_bindir}/dt-getaddr
%attr(755,root,root) %{_bindir}/dt-gethost
%attr(755,root,root) %{_bindir}/dt-getname
%attr(755,root,root) %{_bindir}/dt-getquery
%attr(755,root,root) %{_bindir}/dt-getrrset
%attr(755,root,root) %{_bindir}/dt-validate
%attr(755,root,root) %{_bindir}/dtck
%attr(755,root,root) %{_bindir}/dtconf
%attr(755,root,root) %{_bindir}/dtconfchk
%attr(755,root,root) %{_bindir}/dtdefs
%attr(755,root,root) %{_bindir}/dtinitconf
%attr(755,root,root) %{_bindir}/dtrealms
%attr(755,root,root) %{_bindir}/expchk
%attr(755,root,root) %{_bindir}/fixkrf
%attr(755,root,root) %{_bindir}/genkrf
%attr(755,root,root) %{_bindir}/getdnskeys
%attr(755,root,root) %{_bindir}/getds
%attr(755,root,root) %{_bindir}/grandvizier
%attr(755,root,root) %{_bindir}/keyarch
%attr(755,root,root) %{_bindir}/keymod
%attr(755,root,root) %{_bindir}/krfcheck
%attr(755,root,root) %{_bindir}/libval_check_conf
%attr(755,root,root) %{_bindir}/lights
%attr(755,root,root) %{_bindir}/lsdnssec
%attr(755,root,root) %{_bindir}/lskrf
%attr(755,root,root) %{_bindir}/lsrealm
%attr(755,root,root) %{_bindir}/lsroll
%attr(755,root,root) %{_bindir}/maketestzone
%attr(755,root,root) %{_bindir}/mapper
%attr(755,root,root) %{_bindir}/realmchk
%attr(755,root,root) %{_bindir}/realmctl
%attr(755,root,root) %{_bindir}/realminit
%attr(755,root,root) %{_bindir}/realmset
%attr(755,root,root) %{_bindir}/rollchk
%attr(755,root,root) %{_bindir}/rollctl
%attr(755,root,root) %{_bindir}/rollerd
%attr(755,root,root) %{_bindir}/rollinit
%attr(755,root,root) %{_bindir}/rolllog
%attr(755,root,root) %{_bindir}/rollrec-editor
%attr(755,root,root) %{_bindir}/rollset
%attr(755,root,root) %{_bindir}/signset-editor
%attr(755,root,root) %{_bindir}/tachk
%attr(755,root,root) %{_bindir}/timetrans
%attr(755,root,root) %{_bindir}/trustman
%attr(755,root,root) %{_bindir}/zonesigner
%dir %{_sysconfdir}/dnssec-tools
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/dnssec-tools/dnssec-tools.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/dnssec-tools/validator-testcases
%{_datadir}/%{name}
%{_mandir}/man1/blinkenlights.1p*
%{_mandir}/man1/buildrealms.1p*
%{_mandir}/man1/bubbles.1p*
%{_mandir}/man1/check-zone-expiration.1p*
%{_mandir}/man1/cleanarch.1p*
%{_mandir}/man1/cleankrf.1p*
%{_mandir}/man1/convertar.1p*
%{_mandir}/man1/dnspktflow.1p*
%{_mandir}/man1/dnssec-tools.1*
%{_mandir}/man1/donuts.1p*
%{_mandir}/man1/donutsd.1p*
%{_mandir}/man1/drawvalmap.1p*
%{_mandir}/man1/dt-getaddr.1*
%{_mandir}/man1/dt-gethost.1*
%{_mandir}/man1/dt-getname.1*
%{_mandir}/man1/dt-getquery.1*
%{_mandir}/man1/dt-getrrset.1*
%{_mandir}/man1/dt-validate.1*
%{_mandir}/man1/dtck.1p*
%{_mandir}/man1/dtconf.1p*
%{_mandir}/man1/dtconfchk.1p*
%{_mandir}/man1/dtdefs.1p*
%{_mandir}/man1/dtinitconf.1p*
%{_mandir}/man1/dtrealms.1p*
%{_mandir}/man1/expchk.1p*
%{_mandir}/man1/fixkrf.1p*
%{_mandir}/man1/genkrf.1p*
%{_mandir}/man1/getdnskeys.1p*
%{_mandir}/man1/getds.1p*
%{_mandir}/man1/grandvizier.1p*
%{_mandir}/man1/keyarch.1p*
%{_mandir}/man1/keymod.1p*
%{_mandir}/man1/krfcheck.1p*
%{_mandir}/man1/libval_check_conf.1*
%{_mandir}/man1/lights.1p*
%{_mandir}/man1/lsdnssec.1p*
%{_mandir}/man1/lskrf.1p*
%{_mandir}/man1/lsrealm.1p*
%{_mandir}/man1/lsroll.1p*
%{_mandir}/man1/maketestzone.1p*
%{_mandir}/man1/mapper.1p*
%{_mandir}/man1/realmchk.1p*
%{_mandir}/man1/realmctl.1p*
%{_mandir}/man1/realminit.1p*
%{_mandir}/man1/realmset.1p*
%{_mandir}/man1/rollchk.1p*
%{_mandir}/man1/rollctl.1p*
%{_mandir}/man1/rollerd.1p*
%{_mandir}/man1/rollinit.1p*
%{_mandir}/man1/rolllog.1p*
%{_mandir}/man1/rollrec-editor.1p*
%{_mandir}/man1/rollset.1p*
%{_mandir}/man1/signset-editor.1p*
%{_mandir}/man1/tachk.1p*
%{_mandir}/man1/timetrans.1p*
%{_mandir}/man1/trustman.1p*
%{_mandir}/man1/zonesigner.1p*

%if %{with qt}
%files gui
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/dnssec-check
%attr(755,root,root) %{_bindir}/dnssec-nodes
%attr(755,root,root) %{_bindir}/dnssec-system-tray
%attr(755,root,root) %{_bindir}/lookup
%{_desktopdir}/dnssec-check.desktop
%{_desktopdir}/lookup.desktop
%{_iconsdir}/hicolor/48x48/apps/lookup.png
%{_iconsdir}/hicolor/64x64/apps/dnssec-check.png
%{_pixmapsdir}/lookup.xpm
%endif

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsres.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsres.so.14
%attr(755,root,root) %{_libdir}/libval-threads.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libval-threads.so.14
%attr(755,root,root) %{_libdir}/libval_shim.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libval_shim.so.14

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/libval-config
%attr(755,root,root) %{_libdir}/libsres.so
%attr(755,root,root) %{_libdir}/libval-threads.so
%attr(755,root,root) %{_libdir}/libval_shim.so
%{_libdir}/libsres.la
%{_libdir}/libval-threads.la
%{_libdir}/libval_shim.la
%{_includedir}/validator
%{_mandir}/man3/dnsval.conf.3*
%{_mandir}/man3/dnsval_conf*.3*
%{_mandir}/man3/libsres.3*
%{_mandir}/man3/libval.3*
%{_mandir}/man3/libval_shim.3*
%{_mandir}/man3/p_ac_status.3*
%{_mandir}/man3/p_val_status.3*
%{_mandir}/man3/resolv_conf_*.3*
%{_mandir}/man3/root_hints_*.3*
%{_mandir}/man3/val_*.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libsres.a
%{_libdir}/libval-threads.a
%{_libdir}/libval_shim.a

%files -n perl-%{name}
%defattr(644,root,root,755)
%dir %{perl_vendorarch}/Net/DNS/SEC
%{perl_vendorarch}/Net/DNS/SEC/Tools
%{perl_vendorarch}/Net/DNS/SEC/Validator.pm
%{perl_vendorarch}/Net/DNS/SEC/defines.pl
%{perl_vendorarch}/Net/DNS/ZoneFile
%{perl_vendorarch}/Net/addrinfo.pm
%dir %{perl_vendorarch}/auto/Net/DNS/SEC
%dir %{perl_vendorarch}/auto/Net/DNS/SEC/Validator
%attr(755,root,root) %{perl_vendorarch}/auto/Net/DNS/SEC/Validator/Validator.so
%dir %{perl_vendorarch}/auto/Net/addrinfo
%attr(755,root,root) %{perl_vendorarch}/auto/Net/addrinfo/addrinfo.so
%{perl_vendorlib}/Net/DNS/SEC/Tools
%{_mandir}/man3/Net::DNS::SEC::Tools::*.3pm*
%{_mandir}/man3/Net::DNS::SEC::Validator.3pm*
%{_mandir}/man3/Net::DNS::ZoneFile::Fast.3pm*
%{_mandir}/man3/Net::addrinfo.3pm*
%changelog
* Sun Sep 14 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/dnssec-tools.git;a=log;h=master

* Sun Sep 14 2014 Jan Rękorajski <baggins@pld-linux.org> a4108d7
- release 4 (by relup.sh)

* Sun Sep 14 2014 Jan Rękorajski <baggins@pld-linux.org> cb6974f
- removed zero-sized .bs file

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> daaa74c
- rebuild with perl 5.18.0
- release 3 (by relup.sh)

* Mon Mar 18 2013 Jan Rękorajski <baggins@pld-linux.org> bdde702
- todo

* Mon Mar 18 2013 Jan Rękorajski <baggins@pld-linux.org> b8d1cd6
- release 2 (by relup.sh)

* Sat Mar 02 2013 Jakub Bogusz <qboosh@pld-linux.org> cafb035
- updated to 2.0
- updated link,qt patches

* Fri Oct 19 2012 Jakub Bogusz <qboosh@pld-linux.org> 7c2c9ca
- updated to 1.14 (note: new sonames)
- updated qt patch

* Sat Jun 30 2012 Jakub Bogusz <qboosh@pld-linux.org> 2c9b260
- build fixes for qt apps

* Sat Jun 30 2012 Jakub Bogusz <qboosh@pld-linux.org> b8f9ed2
- build and package qt GUIs (dnssec-check, dnssec-nodes, dnssec-system-tray, lookup)

* Sun Jun 24 2012 Jakub Bogusz <qboosh@pld-linux.org> 421c53e
- updated to 1.13

* Sat May 26 2012 Jakub Bogusz <qboosh@pld-linux.org> 334966c
- updated to 1.12.2

* Sat Feb 11 2012 zbyniu <zbyniu@pld-linux.org> 7f872da
- up to 1.12.1; inc.patch merged by upstream

* Thu Feb 02 2012 Jakub Bogusz <qboosh@pld-linux.org> ac2b58b
- updated to 1.12 (note: new sonames)
- added inc patch (fixes perl module build without already installed dnssec libs)

* Mon Oct 24 2011 Elan Ruusamäe <glen@pld-linux.org> e355058
- missing dir

* Sat Oct 22 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> a4b5747
- release 2

* Sun Oct 16 2011 Jakub Bogusz <qboosh@pld-linux.org> d18b653
- updated to 1.11 (note: new sonames)

* Sun Oct 02 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> cb8c31b
- release 2

* Fri Jul 08 2011 Jakub Bogusz <qboosh@pld-linux.org> 6a6a04e
- updated to 1.10 (note: new sonames)

* Sat May 21 2011 Jakub Bogusz <qboosh@pld-linux.org> d29da4d
- new

